Get Workflow Status
curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/workflow_status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/workflow_status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lendflow.com/api/applications/{application_id}/workflow_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"live": true,
"name": "StatusTest",
"is_visible": true,
"substatuses": [
{
"name": "SubStatusTest1",
"is_visible": true
},
{
"name": "SubStatusTest2",
"is_visible": true
}
],
"color": "#888e9d",
"weight": 0,
"substatuses_weight": [
{
"name": "SubStatusTest1",
"is_visible": true,
"weight": 0
},
{
"name": "SubStatusTest2",
"is_visible": true,
"weight": 1
}
]
}
]
}Workflow Management
Get Workflow Status
Returns the workflow statuses and sub-statuses available for the application, including each status’s visibility, color, and ordering weight.
GET
/
api
/
applications
/
{application_id}
/
workflow_status
Get Workflow Status
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"live": true,
"name": "StatusTest",
"is_visible": true,
"substatuses": [
{
"name": "SubStatusTest1",
"is_visible": true
},
{
"name": "SubStatusTest2",
"is_visible": true
}
],
"color": "#888e9d",
"weight": 0,
"substatuses_weight": [
{
"name": "SubStatusTest1",
"is_visible": true,
"weight": 0
},
{
"name": "SubStatusTest2",
"is_visible": true,
"weight": 1
}
]
}
]
Was this page helpful?